<?php

namespace App\User\Database;

class ProviderList
{
    public static $providers = [
        '1337x',
        'Comando',
        'EZTV',
        'ilCorSaRoNeRo',
        'MagnetDL',
        'MejorTorrent',
        'RARBG',
        'Rutor',
        'Rutracker',
        'ThePirateBay',
        'Torrent9',
        'TorrentGalaxy',
    ];

    public static function getProviders()
    {
        return self::$providers;
    }

    public static function asSelectOptions(): array
    {
        $result = ['-' => '-'];
        foreach (static::$providers as $provider) {
            $result[$provider] = $provider;
        }
        return $result;
    }
}
